/*--------------------------------------------------------------
ShareASale Banner Update Style June 2025/ Flexible Compare Widget banner
---------------------------------------------------------------
Updated : Mar 2026
Author  : Electricity Ratings
--------------------------------------------------------------*/
:root {
  --erllcblue: #0F2F8D;
  --erllcbluergb: rgb(15, 47, 141);
  --erllcbluergba50: rgb(15, 47, 141, .5);
  --e1776-blue:#0e2e63;
  --erllcblue50: #8797C6;
  --erllcblue25: #C3CBE2;
  --erllcbluedark: #000066;
  --cyan: #6CCAFB;
  --cyanpale: #C9E9FB;
  --cyanpalergba: rgba(201, 233, 251, 1);
  --cyanultrapale: #F0F6FA;
  --cyanultrapalergba: rgba(240, 246, 250, 1);
  --bluegray: #8797C6;
  --blue-100: #112e49;
  --ur-green:#003245;
  --green: #509650;
  --palegreen: #96c896;
  --gray: #CCCCCC;
  --graymed: #EFEFEF;
  --grayevil: #666;
  --gray-50: #E3E3E3;
  --graylight: #F7F7F7;
  --graydark: #383838;
  --white: #fff;
  --whitergba: rgba(255, 255, 255, 1);
  --black: #000;
  --black-50: #212529;
  --orange: #FF8200;
  --yellow: #FFCC05;
    --orange: #FF8200;
    --yellow: #FFCC05;
    --yellowdark: #FAB117;
    --yellowpale: #FDDC56;
    --ur-yellow:#fbb040;
    --red: #CB362D;
    --e1776-red: #b22234;
    --green-50: #26B222;
    --green-20: #F2FFF2;
}
.text-dark-blue{
    color: var(--erllcblue) !important;
  }
  .bg-dark-blue{
        background-color: var(--erllcblue) !important;
  }
  .cta.shareasale-banner{
    background-color: transparent;
  }
    .shareasale-banner .text-green{
      color:var(--cyan) !important;
    }
    .shareasale-banner .text-red{
      color:var(--red) !important;
    }
    .shareasale-banner h1,
    .shareasale-banner .h1,
    .shareasale-banner h2,
    .shareasale-banner p,
    .shareasale-banner p span,
    .shareasale-banner .detail li,
    .shareasale-banner .plan-feature-row-price-number{
    color: var(--black-50);
    font-family: "Poppins", sans-serif;
    }
    .shareasale-banner h1,
    .shareasale-banner.h1{
      font-size: 38px !important;
      font-weight: 800;
      text-transform: uppercase;
      
    }
    .shareasale-banner picture{
      position: absolute;
      bottom:0;
    }
    .shareasale-banner .detail {
      list-style: none;
      padding: 0;
      margin: 0;
    }
    .shareasale-banner .detail li {
      position: relative;
      padding-left: 30px;
      margin-bottom: 10px;
      font-size: 16px;
    }
    .shareasale-banner .detail.disable li {
      color:var(--grayevil);
      margin-left: 10px;
    }
    .shareasale-banner .detail li::before {
      content: '';
      position: absolute;
      left: 0;
      top: -2px;
      width: 24px;
      height: 24px;
      display: block;
      background-image:url("/images/icons/icon-check-green.svg");
      background-size:contain;
    }
    .shareasale-banner .zipcode-container{
      background-color:var(--erllcblue);
    }
    .shareasale-banner .cta-bottom{
      background-color: var(--cyanultrapale);
    }
    .shareasale-banner picture img{
      max-width: 90%;
    }
  /* compare plan on banner*/
  .shareasale-banner .compare-plan-container{
    display: flex;
  }
    .shareasale-banner .compare-plan-container .plan-card{
      width: 40%;
    }
    .shareasale-banner .compare-plan-container .vs{
      width:20%;
    }
    .shareasale-banner .compare-plan-container .inactive,
    .shareasale-banner .compare-plan-container .inactive .action-container{
      padding-bottom:0;
    }
    /* without plan grid style included */
    .shareasale-banner .plan-card .plan-provider-label {
      text-align: center;
      padding: 5px 0;
      border-radius: 5px 5px 0 0;
      background-color: var(--erllcblue);
      color: var(--white);
    }
    .shareasale-banner .plan-card .action-container {
      display: flex;
      flex-direction: column;
      padding: 0 20px 60px 20px;
      position: relative;
    }
    .shareasale-banner .planrowusnsavings{
        justify-content: center;
    }
    .shareasale-banner .plan-button-container{
      text-align: center;
    }
    .shareasale-banner ul.plan-feature-row-second{
      justify-content: center;
      margin-bottom: 0;
    }
    .shareasale-banner ul.plan-feature-row-second li.plan-feature-row-item {
      border-right-width: 1px;
      border-right-style: solid;
      border-right-color: var(--erllcblue25);
      text-align: center;
      font-size: 12px;
      line-height: 12px;
    }
      .shareasale-banner ul.plan-feature-row-second li:last-child.plan-feature-row-item {
        border-right-width: 0;
      }
    .shareasale-banner .plan-card .fixed-action-row-container {
        color: var(--white);
        position: absolute;
        bottom: 0;
        left: 0;
        width: 100%;
        background-color: var(--gray-50) !important;
        border-radius: 0 0 5px 5px;
        padding: 10px !important;
    }
      section.shareasale-banner .plan-card .fixed-action-row-container {
        background-color: var(--gray-50) !important;
      }
      .shareasale-banner .fixed-action-row-container ul.plan-action-row {
        padding: 0 10px;
        margin: 0;
        display: grid;
        grid-template-areas:
            'order order'
            'phone more';
        grid-template-columns: 1fr;
        grid-row-gap: 0;
      }
    section.shareasale-banner li.plan-action-row-more button.hollow-button-pale-cyan,
    .shareasale-banner li.plan-action-row-more button.hollow-button-pale-cyan  {
      border:0 !important;
      color: var(--graydark);
      border-radius: 5px;
    }
      .shareasale-banner button.button-neo {
          border-width: 2px;
          border-style: solid;
          white-space: nowrap;
          border-radius: var(--lotus-card-radius);
      }
      .shareasale-banner .fixed-action-row-container ul.plan-action-row li.plan-action-row-phone {
        display: flex;
        flex-direction: row;
        align-items: center;
      }
      .shareasale-banner .plan-action-row-phone .text-white{
        color: var(--black-50) !important;
      }
  /* plan card on banner*/
  .shareasale-banner .plan-card .plan-feature-row.planrowusnsavings {
    grid-template-areas:
        'planFeatureRowPrice planFeatureRowPrice'
        'planFeatureRowMRC planFeatureRowMRC';
  }
    .shareasale-banner .plan-card{
      border-radius: 10px;
      box-shadow: 0 8px 24px rgba(9, 27, 80, 0.25);
    }
    .shareasale-banner .plan-card h3{
      font-size:26px;
    }
    .shareasale-banner .plan-feature-row-price-number span{
      font-size: 42px !important;
      font-weight: 500;
    }
    .shareasale-banner ul.plan-feature-row-second li.plan-feature-row-item {
      margin: 0;
      padding: 0 20px 0 0;
    }
    .shareasale-banner .plan-card .detail{
      border-top: 1px solid #ccc;
      margin-top: 5px;
      margin-bottom:20px;
    }
    .shareasale-banner .flag{
      background: var(--green-50);
      text-align: center;
      border-radius: 15px 0 0 15px;
      position: absolute;
      top: 35px;
      left: -40px;
      height: 300px;
      width: 40px;
      box-shadow: 0 8px 24px rgba(9, 27, 80, 0.25);
    } 
      .shareasale-banner .flag p{
        transform: rotate(-90deg);
        transform-origin: left top;
        white-space: nowrap;
        margin: 0;
        font-size: 18px;
        position: absolute;
        top: 86%;
        left: 20%;
      }
  .shareasale-banner .action-space{
    padding-bottom: 10px;
  }
  /*inactive*/
  .shareasale-banner .inactive .flag{
    background: var(--red);
    border-radius: 0 15px 15px 0;
    right: -40px;
    left: auto;
  } 
    .shareasale-banner .inactive .flag p{
      top: 65%;
    }
  .shareasale-banner .inactive .detail{
    margin-bottom:10px;
  }
    .cta .inactive ul {
      list-style: disc;
    }
      .shareasale-banner .inactive .detail li {
        padding-left: 0;
        margin-left: 20px;
      }
      .shareasale-banner .inactive .detail li::before {
        display: none;
      }
  .shareasale-banner .inactive .plan-feature-row {
    margin-bottom: 30px;
  }
  .cta-zipcode label.radio-wrapper,
      .cta-zipcode h3{
          color:#fff;
      }
      .cta-zipcode h3{
          font-size: 20px;
          margin-top: 20px;
          margin-bottom: -10px;
      }
  .shareasale-banner + .cta .cta-bottom {
      background-color: #6ccafb;
  }
  .shareasale-banner + .cta-zipcode{
      position: relative;
      z-index: 200;
  }
  .shareasale-banner .plan-feature-row li,
  .shareasale-banner .recommended-plan ul li{
    list-style: none;
  }
  @media (min-width: 1200px) and (max-width: 1400px) {
    .shareasale-banner {
        background-size:250px;
    }
  }
  @media only screen and (min-width: 1200px) {
    .cta-zipcode h2{
        width: 40%;
    }
  }
  @media only screen and (min-width: 981px) {
    .shareasale-banner .detail li{
       font-size:16px;
    }
    .cta-zipcode {
        padding:40px 0 0;
    }
    .cta-zipcode .set_zip_form.dual_commodity{
        grid-template-columns: 1fr 1fr 1fr;
    }
    .shareasale-banner + .cta-zipcode form .set_zip_form.single_commodity{
        display: flex;
    }
    
  }
  @media only screen and (max-width: 980px) {
    .shareasale-banner .mobile-hide,
    .shareasale-banner .inactive .description,
    .shareasale-banner .inactive .detail{
        display: none;
    }
    .shareasale-banner .compare-plan-container{
        flex-direction: column;
        align-items: center;
    }
    .shareasale-banner .inactive .plan-feature-row {
        margin-bottom:0;
    }
    .shareasale-banner .compare-plan-container .plan-card{
        width: 90% !important;
    }
    .shareasale-banner h1, .shareasale-banner.h1 {
        font-size: 25px;
    }
    .shareasale-banner .plan-card h3{
      font-size:24px;
      padding: 20px 0 !important;
    }
    .shareasale-banner .compare-plan-container .vs{
        width:100%;
        padding:50px 0 40px;
    }
      .shareasale-banner .compare-plan-container .vs p{
        font-size: 30px;
      }
    .shareasale-banner .flag {
        border-radius: 15px 15px 0 0;
        top: -40px;
        left: calc(10% / 2);
        height: 40px;
        width: 90%;
    }
      .shareasale-banner .flag p {
        transform: none;
        position: static;
        margin: 5px 0 0;
      }
    .shareasale-banner .inactive .flag {
        border-radius: 0 0 15px 15px;
        right: 0;
        left: calc(20% / 2);
        top: auto;
        bottom: -40px;
        width: 80%;
        height: 40px;
    }
      .shareasale-banner .inactive .flag p {
        top: 80%;
      }
    .shareasale-banner .compare-plan-container .inactive{
      border-radius: 5px 5px 0 0;
    }
      .shareasale-banner .compare-plan-container .plan-card .plan-provider-label{
        border-radius: 0;
        }
      .shareasale-banner .compare-plan-container .inactive .plan-provider-label{
        border-radius: 5px 5px 0 0;
        }
    .shareasale-banner + .cta .cta-bottom{
      display:none !important;
    }
  }
  @media only screen and (max-width: 1200px) {
    .shareasale-banner .cta-bottom, 
    .shareasale-banner picture {
        display: none;
    }
  }
  /* Rate doesn't beat with Utility Rate */
  .shareasale-banner .no-beat-rate{
  
  }
  .shareasale-banner .no-beat-rate .plan-card{
    width: 50%;
  }
    .shareasale-banner .no-beat-rate .plan-card .plan-provider-label{
      background-color: var(--green-50);
      border-radius: 5px 5px 0 0;
    }
    .shareasale-banner .no-beat-rate picture img {
      max-width: 85%
    }
    .shareasale-banner .no-beat-rate .compare-plan-container .plan-card {
      width: 50%;
    }
    .shareasale-banner .no-beat-rate .plan-card .plan-provider-label {
      background-color: var(--green-50);
      border-radius: 5px 5px 0 0;
    }
    .shareasale-banner .no-beat-rate .plan-card .action-container {
      padding: 0 0 80px;
    }
    .shareasale-banner .no-beat-rate .plan-feature-row-price .plan-feature-row-price-container {
      align-items: start;
    }
    .shareasale-banner .no-beat-rate .plan-provider-body-top{
      background-color: var(--green-20);
    }
    .shareasale-banner .no-beat-rate button.button-neo.orange-button,
    .shareasale-banner button.button-neo.orange-button{
      color: var(--black);
    } 
      .shareasale-banner .no-beat-rate button.button-neo.orange-button:hover,
      .shareasale-banner button.button-neo.orange-button:hover {
        border-color: var(--black);
      }
    .shareasale-banner .no-beat-rate .plan-card .fixed-action-row-container {
      background-color: var(--gray-50) !important;
    }
      .shareasale-banner .no-beat-rate li.plan-action-row-more button.hollow-button-pale-cyan {
        border-color: transparent;
        color: var(--graydark);
        padding: 0;
      }
      .shareasale-banner .no-beat-rate .plan-action-row-phone a {
        color: var(--graydark);
        background: none;
      }
    .shareasale-banner .no-beat-rate .detail{
      margin-top:20px;
      margin-left:50px
    }
      .shareasale-banner .no-beat-rate .detail li {
          font-weight: 600;
          padding-top: 10px;
          padding-left: 0;
          font-size: 20px;
      }
        .shareasale-banner .no-beat-rate .detail li:not(:first-child){
          border-top: 1px solid var(--erllcblue50);
        }
        .shareasale-banner .no-beat-rate .detail li::before{
          left: -35px;
          top: 10px;
        }
        .shareasale-banner .no-beat-rate .plan .cta {
          padding: 7px 25px;
          font-weight: 500;
        }
  /* Override absolute positioning for plan-button-container */
  .compare-utility-rate .plan-card .plan-button-container {
      position: relative !important;
      bottom: auto !important;
      left: auto !important;
      transform: none !important;
      padding-top: 20px !important;
      padding-bottom: 20px !important;
      margin: 0 !important;
      text-align: center;
      width: 100%;
  }
  @media only screen and (max-width: 980px) {
    .shareasale-banner .no-beat-rate {
        display: grid;
    }
      .shareasale-banner .no-beat-rate .plan-card {
        width: 100% !important;
      }
      .shareasale-banner .no-beat-rate .plan-card h3 {
        text-align: left;
        margin-right: 10px;
      }
      .shareasale-banner .no-beat-rate .detail {
        width: 90%;
        grid-row: 1;
        margin-top: 0;
        margin-left: 0;
        padding-top: 0 !important;
        margin-bottom: 20px;
      }
  }
  
  
  /* Rate doesn't beat with Utility Rate - manually updates */
  .shareasale-banner.no-beat-rate .plan-card{
    width: 50%;
  }
    .shareasale-banner.no-beat-rate .plan-card .plan-provider-label{
      background-color: var(--green-50);
      border-radius: 5px 5px 0 0;
    }
    .shareasale-banner.no-beat-rate picture img {
      max-width: 85%
    }
    .shareasale-banner.no-beat-rate .compare-plan-container .plan-card {
      width: 50%;
    }
    .shareasale-banner.no-beat-rate .plan-card .plan-provider-label {
      background-color: var(--green-50);
      border-radius: 5px 5px 0 0;
    }
    .shareasale-banner.no-beat-rate .plan-card .action-container {
      padding: 0 0 80px;
    }
    .shareasale-banner.no-beat-rate .plan-feature-row-price .plan-feature-row-price-container {
      align-items: start;
    }
    .shareasale-banner.no-beat-rate .plan-provider-body-top{
      background-color: var(--green-20);
    }
    .shareasale-banner.no-beat-rate button.button-neo.orange-button,
    .shareasale-banner button.button-neo.orange-button{
      color: var(--black);
    } 
      .shareasale-banner.no-beat-rate button.button-neo.orange-button:hover,
      .shareasale-banner button.button-neo.orange-button:hover {
        border-color: var(--black);
      }
    .shareasale-banner.no-beat-rate .plan-card .fixed-action-row-container {
      background-color: var(--gray-50) !important;
    }
      .shareasale-banner.no-beat-rate li.plan-action-row-more button.hollow-button-pale-cyan {
        border-color: transparent;
        color: var(--graydark);
        padding: 0;
      }
      .shareasale-banner.no-beat-rate .plan-action-row-phone a {
        color: var(--graydark);
        background: none;
      }
    .shareasale-banner.no-beat-rate .detail{
      margin-top:20px;
      margin-left:50px
    }
      .shareasale-banner.no-beat-rate .detail li {
          font-weight: 600;
          padding-top: 10px;
          padding-left: 0;
          font-size: 20px;
      }
        .shareasale-banner.no-beat-rate .detail li:not(:first-child){
          border-top: 1px solid var(--erllcblue50);
        }
        .shareasale-banner.no-beat-rate .detail li::before{
          left: -35px;
          top: 10px;
        }
        .shareasale-banner.no-beat-rate .plan .cta {
          padding: 7px 25px;
          font-weight: 500;
        }
  /* Override absolute positioning for plan-button-container */
  .compare-utility-rate .plan-card .plan-button-container {
      position: relative !important;
      bottom: auto !important;
      left: auto !important;
      transform: none !important;
      padding-top: 20px !important;
      padding-bottom: 20px !important;
      margin: 0 !important;
      text-align: center;
      width: 100%;
  }
.shareasale-banner:active{
  background: none;
}
.shareasale-banner .col:has(.compare-widget-no-plan){
  width: 100%;
}
.row .col:has(.compare-widget-no-plan) + .col picture{
  display: none;
}
  @media only screen and (max-width: 980px) {
    .shareasale-banner.no-beat-rate .compare-plan-container {
        display: grid;
    }
      .shareasale-banner.no-beat-rate .plan-card {
        width: 100% !important;
      }
      .shareasale-banner.no-beat-rate .plan-card h3 {
        text-align: left;
        margin-right: 10px;
      }
      .shareasale-banner.no-beat-rate .detail {
        width: 90%;
        grid-row: 1;
        margin-top: 0;
        margin-left: 0;
        padding-top: 0 !important;
        margin-bottom: 20px;
      }
  }

/* Utility Rates - look and feel */
.utilityrates_2025 .compare-banner-two-grid{
  display: grid;
  grid-template-columns: 65% 35%;
}
.utilityrates_2025 .shareasale-banner .text-dark-blue {
  color: var(--ur-green) !important;
}
.utilityrates_2025 .shareasale-banner h1{
  font-size: 35px !important;
  color: var(--white) !important;
}
.utilityrates_2025 .shareasale-banner .detail li{
  color: var(--black-50) !important;
}
.utilityrates_2025 .shareasale-banner .no-beat-rate .plan-card .plan-provider-label {
  background-color: var(--green-50) ;
}
.utilityrates_2025 .shareasale-banner .benefits-list li,
.utilityrates_2025 .shareasale-banner .compare-widget-no-plan p{
  color: var(--white) !important;
}
.utilityrates_2025 .shareasale-banner h1,
.utilityrates_2025 .shareasale-banner h3,
.utilityrates_2025 .shareasale-banner li,
.utilityrates_2025 .shareasale-banner .compare-widget-no-plan p{
  width: 100%;
  word-wrap: break-word;
  white-space: normal;
}
.utilityrates_2025 .shareasale-banner .plan-card .plan-provider-label{
  background-color: var(--ur-green);
}
.utilityrates_2025 .shareasale-banner ul{
  padding:0 !important;
}
.utilityrates_2025 .shareasale-banner .plan-feature-row-price-number span{
  line-height: 100%;
}
.utilityrates_2025 .shareasale-banner .plan-feature-row-price-number{
  display: flex;
  align-items: end;
  justify-content: center;
}
.utilityrates_2025 .shareasale-banner button.cta,
.utilityrates_2025 .shareasale-banner .no-beat-rate .plan .cta {
  background-color: var(--ur-yellow);
  color: var(--black);
  border-color: var(--ur-yellow);
  background: var(--ur-yellow);
  border-radius: 5px;
  border-radius: 50px;
  padding: 10px 20px;
  font-weight: 600;
}
.utilityrates_2025 .shareasale-banner button.cta:hover,
.utilityrates_2025 .shareasale-banner .no-beat-rate .plan .cta:hover {
  background-color: var(--ur-green);
  color: var(--white);
  border-color: var(--ur-green);
}
.utilityrates_2025 .shareasale-banner .action-space {
  padding-bottom: 60px;
}

@media only screen and (min-width: 980px) {
  .utilityrates_2025 .shareasale-banner  .detail li {
    font-size: 14px;
  }
}
@media only screen and (max-width: 1300px) {
  .utilityrates_2025 .compare-banner-two-grid{
    grid-template-columns: 100%;
  }
  .utilityrates_2025 .compare-banner-two-grid .hidden-md img{
    display: none !important;
  }
  .utilityrates_2025 .shareasale-banner h1 {
    font-size: 25px !important;
  }
}
/* 1776 Energy - look and feel */
.energy1776_2025 .shareasale-banner .text-dark-blue {
  color: var(--e1776-blue) !important;
}
.energy1776_2025 .shareasale-banner .plan-card .plan-provider-label{
  background-color: var(--e1776-blue) !important;
}
.energy1776_2025 .shareasale-banner button.cta {
  background-color: var(--e1776-red) !important;
  color: var(--white) !important;
  border-color: var(--e1776-red) !important;
  background: var(--e1776-red) !important;
}
.energy1776_2025 .shareasale-banner button.cta:hover {
  background-color: var(--e1776-blue) !important;
  color: var(--white) !important;
  border-color: var(--e1776-blue) !important;
}
